Description

The following code will not work as expected:

/**
 * @param \TYPO3\FLOW3\Tests\Functional\MVC\Fixtures\Controller\TestObjectArgument $argument
 * @FLOW3\IgnoreValidation(argumentName="$argument")
 */
public function showObjectArgumentAction(TestObjectArgument $argument) {
    return $argument->getEmailAddress();
}

The ActionController still use getMethodTagsValues to get ignored arguments.

Related issues:
related to TYPO3.Flow - Bug # 31270: Proxy classes loose @return and @throws ... Resolved 2011-10-25

Associated revisions
Revision 1c92bdd4 - 2011-10-31 11:47 - Christopher Hlubek

[BUGFIX] Use annotations in ActionController for IgnoreValidation

Use annotations for the action method instead of method tags values
which return wrong results if an explicit argumentName is given
to the annotation. See the functional test that is added.

Change-Id: I1c6b2a24f452b313e541e14f47194e046629786a
Fixes: #31452
Releases: 1.0, 1.1

Revision 52d1e370 - 2011-11-07 14:03 - Christopher Hlubek

[BUGFIX] Use annotations in ActionController for IgnoreValidation

Use annotations for the action method instead of method tags values
which return wrong results if an explicit argumentName is given
to the annotation. See the functional test that is added.

Change-Id: I4662423f2bfa0c83bff13121a2d2928d4b0dd40b
Fixes: #31452
Releases: 1.0, 1.1

History
#1 - 2011-10-31 11:47 - Mr. Hudson
- Status changed from New to Under Review

Patch set 1 of change I1c6b2a24f452b313e541e14f47194e046629786a has been pushed to the review server.
It is available at http://review.typo3.org/6393

#2 - 2011-11-02 09:36 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1c92bdd443bb90f881b566eee1ec5235f7d5f8c2.
